Capture Request (For pre-auth or authorized transaction)

Merchant should use SALES (SALS) for most of the use cases and avoid Pre-Authorization &
Capture model. This is because many merchant will miss the auto-release period before they
can actually capture the funds. Merchant who uses preauth or authorize payment mode may
capture the transaction at a later stage by using this API


Response

Variable / ParameterType Format / Max LengthDescription / Example
TranIDinteger, 20 digitsUnique transaction ID for tracking purposes
Domainalphanumeric, 32 charsMerchant ID in PG system.
VrfKey32 chars hexadecimal stringThis is the data integrity protection hash string
StatCodestring of 2-digit numeric00 = Success, 11 = Failure, 12 = Invalid or unmatched security hash string, 13 = Not a credit card transaction, 15 = Requested day is on settlement day, 16 = Forbidden transaction, 17 = Transaction not found, 18 = Missing required parameter, 19 = Domain not found, 20 = Temporary out of service, 21 = Authorization expired, 23 = Not allowed to perform partial capture, 24 = Transaction has already been captured., 25 = Amount requested more than available capture amount, 99 = General Error(Please check with PG Support)
StatDatedate (YYYY-MM-DD)Response date & time
PartialCaptureTranIDinteger, 20 digitsCreated upon successful partial capture request

Formula of skey & VrfKey

skey = md5( txnID + amount + domain + verify_key )
VrfKey = md5( secret_key + Domain + TranID + StatCode )
Query Params
string
required

Merchant ID in PG system. alphanumeric, 32 chars

integer
required

integer, 20 digits. Unique PG transaction ID

float
required

The total amount paid or to be paid. 2 decimal points numeric value

string
required

Reference ID for tracking purpose sent by merchant. Alphanumeric, 100 chars

string
required

This is the data integrity protection hash string. 32 chars hexadecimal string

Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json